/* jshint 
    browser: true, jquery: true, node: true,
    bitwise: true, camelcase: false, curly: true, eqeqeq: true, esversion: 6, expr: true, forin: true, immed: true, indent: 4, latedef: false, newcap: true, noarg: true, noempty: true, nonew: true, quotmark: single, regexdash: true, strict: true, sub: true, trailing: true, undef: true, unused: vars, white: true
*/

'use strict';

const argv = require('minimist')(process.argv.slice(2));
const form = require('./index');

if (!argv.email || !argv.url) {

	console.log(`
usage: submit-timeout-form options

required options
    --email=<your e-mail address>
    --url="<url that timed out>"    multiple --url options will work to submit multiple URL's

options
    --showBrowser
    --refreshDidNotFixIt
    --dateTime="when timed out"   default: ${new Date().toLocaleDateString() + ' ' + new Date().toLocaleTimeString()}
    --details="some details"
	`);

	return;
}

const options = {};

if (argv.showBrowser) {
	options.showBrowser = true;
}

if (argv.refreshDidNotFixIt) {
	options.refreshDidNotFixIt = true;
}

if (argv.dateTime) {
	options.dateTime = argv.dateTime;
}

if (argv.details) {
	options.details = argv.details;
}

form(argv.email, argv.url, options, error => {
	if (error) {
		console.log(error);
		process.exit(1);
	}
	process.exit();
});